list_tidiers {broom} | R Documentation

## Tidying methods for lists / returned values that are not S3 objects

### Description

Broom tidies a number of lists that are effectively S3 objects without a class attribute. For example, `stats::optim()`, `svd()` and `akima::interp()` produce consistent output, but because they do not have a class attribute, they cannot be handled by S3 dispatch.

### Usage

    ## S3 method for class 'list'
    tidy(x, ...)

    ## S3 method for class 'list'
    glance(x, ...)

### Arguments

`x` | A list, potentially representing an object that can be tidied.
`...` | Additionally arguments passed to the tidying function.

### Details

These functions look at the elements of a list and determine if there is an appropriate tidying method to apply to the list. Those tidiers are themselves are implemented as functions of the form `tidy_<function>` or `glance_<function>` and are not exported (but they are documented!).

If no appropriate tidying method is found, throws an error.

### See Also

Other list tidiers: `glance_optim`, `tidy_irlba`, `tidy_optim`, `tidy_svd`, `tidy_xyz`

[Package broom version 0.5.2 Index]